package com.vazil.vridge.docs.swagger;

import io.swagger.annotations.ApiOperation;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;

@Configuration
public class SwaggerConfig {

    @Bean
    public Docket api() {
        return new Docket(DocumentationType.OAS_30)
                .apiInfo(apiInfo())
                .select()
                .apis(RequestHandlerSelectors.withMethodAnnotation(ApiOperation.class))
                .build();

    }

    private ApiInfo apiInfo() {
        return new ApiInfoBuilder()
                .title("Vridge 문서(Docs)")
                .description("Vridge Docs 서비스 관련 API 문서입니다.")
                .contact(new springfox.documentation.service.Contact("Vazilcompany", "http://www.vazilcompany.com", "programming@vazilcompany.com"))
                .license("Vridge License Version 1.0")
                .licenseUrl("https://www.vridgeai.com/docs")
                .version("1.0.0")
                .build();
    }
}
